Declined
Last Updated: 01 May 2024 07:06 by ADMIN
Created by: Arash
Comments: 2
Category: Kendo UI for jQuery
Type: Feature Request
1

The children of a node (if the children are all leaf nodes) vertically stack when parent is expanded. Can you add a setting that forces horizontal sibling orientation for leaf nodes.

Current:

 

Desired:

Declined
Last Updated: 26 Apr 2024 16:57 by ADMIN

Context: There is an item that illustrates the issue here: https://www.telerik.com/forums/kendo-datepicker-value-not-populated-after-refresh-firefox-only

In Firefox, when using the asp-for tag helper to bind a c# DateTime field to an input element, then calling kendoDatePicker() on that element, the control fails to populate on a soft-refresh (F5). Upon reloading using F5 in Firefox, the input's type is set to datetime-localand the input 's control variation is changed to the default date picker.  Then, the Kendo UI DatePicker is initialized with a blank input which normally has a type of text

Example project and video of issue are attached.

This is the pertinent code (also happens in latest version of Kendo as well):

    public class IndexViewModel
    {
        public DateTime DateAsDateTime { get; set; }
    }
        public IActionResult Index()
        {
            return View(new IndexViewModel { DateAsDateTime = DateTime.Today });
        }
@model IndexViewModel

<input id="dtDate" asp-for="@Model.DateAsDateTime">

<script type="text/javascript">
    $(document).ready(function () {
        $("#dtDate").kendoDatePicker();
    });
</script>

Declined
Last Updated: 23 Apr 2024 07:44 by ADMIN

Bug report

The DropDownTree allows us to configure its checkChildren and filter options. Both options are working correctly, when used separately.

When the two options are defined for the DropDownTree, the checkChildren options don't select the child elements of a given node that is checked.

Reproduction of the problem

  1. Open this Dojo example
  2. Expand the DropDownTree popup
  3. Check the "Furniture" node checkbox

Current behavior

Only the "Furniture" checkbox is being checked

Expected/desired behavior

The "Furniture" and all of its child nodes should be selected when clicking on the "Furniture" checkbox.
Here is a Dojo example in which the checkChildren configuration is working as expected.

Environment

  • Kendo UI version: 2022.1.412
  • jQuery version: x.y
  • Browser: [all]
Declined
Last Updated: 18 Apr 2024 10:35 by ADMIN
Created by: Christian
Comments: 2
Category: Chat
Type: Bug Report
0

I have a chat widget configured like this:


let chat = $(target).kendoChat({
			messages: {
        placeholder: ResourceManager.GetInstance().getResource("SR_TYPE_A_MESSAGE")
      },
      user: user, 
      post: async (m: kendo.ui.ChatPostEvent) => await this.post(m),
    }).data("kendoChat");

 

If the post handler tries to await a call to a web  service (to do some translation/tag substitution) then the message is posted to the chat and the results of the web call are ignored.

Declined
Last Updated: 18 Apr 2024 06:28 by ADMIN

The current chat widget renders the user-input as an INPUT control, which means it cannot support multi-line support.

Wish for the option of rendering a TEXTAREA control instead of an INPUT for the chat widget:

 

Something like the following:
let chat = $(target).kendoChat({
  messages: {
        placeholder: ResourceManager.GetInstance().getResource("SR_TYPE_A_MESSAGE"),
        textarea: true
    },
      user: user, 
      post: async (m: kendo.ui.ChatPostEvent) => await this.post(m),
    }).data("kendoChat");

Declined
Last Updated: 02 Apr 2024 06:52 by ADMIN
Created by: Peili
Comments: 1
Category: Kendo UI for jQuery
Type: Bug Report
0

Hi,

When I double click a cell and enter into editing mode, scrolling up or down will make the editor div out-of-place. 

It should follow the target cell instead.

This can be easily reproduced here: https://demos.telerik.com/kendo-ui/spreadsheet/index

It seems Kendo UI for Angular/React also have the same issue.

 

Declined
Last Updated: 22 Mar 2024 14:28 by ADMIN

Reproduction of the problem

  1. Follow the steps described in the link here - https://github.com/telerik/kendo-ui-core?tab=readme-ov-file#building-kendo-ui-core
  2. Create a custom script for validator npx gulp custom -c validator
  3. Try to load the script and create the components

Current behavior

The validator is not working, error is shown

jQuery.Deferred exception: $(...).kendoNumericTextBox is not a function

Expected/desired behavior

The components should work as expected when custom script is created


Declined
Last Updated: 28 Feb 2024 07:07 by ADMIN

Hello everyone, I'm Darshan Hiranandani, currently grappling with CORS (Cross-Origin Resource Sharing) issues in my web application and could use some assistance. Has anyone encountered similar challenges and successfully resolved them? If so, could you please share any tips, tricks, or troubleshooting steps you used to overcome CORS issues in your projects? Any advice would be greatly appreciated. Thank you for your help!"

Declined
Last Updated: 26 Feb 2024 12:56 by ADMIN
Created by: Akash
Comments: 3
Category: Kendo UI for jQuery
Type: Bug Report
1

Hello Team,

 

We are currently facing challenges with the Kendo grid, which is a widely used widget or component at o9Solutions. Although we have been using Kendo for a long time, the widget is failing to meet accessibility standards for some components, which are crucial in today's world.

 

Regarding the Kendo grid, there is an issue where SR is reading the table twice, once for the header and once for the cells. This can cause confusion for assistive technologies like SR.

Consider the cases of horizontal scroll or fixed column cases also.

Having a single <table> is the standard. We can't create multiple tables, which will violate the good coding practices + accessibility standards.

---

I saw some posts regarding this... where it was mentioned we can remove this Scrollable() . But what are the cons of this if we remove this?
--

 

We want this functionality like a horizontal or vertical scroll or fixed column cases.But it needs to recognize as a single table.

 

Declined
Last Updated: 23 Feb 2024 08:21 by ADMIN
Created by: license
Comments: 1
Category: Kendo UI for jQuery
Type: Feature Request
1

Currently, the kendo.culture() method accepts only a string argument which is used for mapping an included culture file.

However, it would be beneficial if additional arguments could be passed to the method as well which may override some of the culture file's existing options. For example:

kendo.culture("bg-BG", {
   numberFormat: {...},
   calendars: {...}
})

Declined
Last Updated: 07 Feb 2024 13:27 by ADMIN
I hope this email finds you well. I am writing this email regarding an CSP issue we are facing with our current implementation of Kendo UI jQuery v2018.3.911.

As part of our ongoing efforts to enhance the security of our website, we are looking to implement a strict Content Security Policy (CSP) and remove the “unsafe-” attributes. However, during our testing phase, we encountered a significant challenge: the current version of Kendo UI jQuery does not seem to operate under a CSP environment without the “unsafe-” settings.

We are seeking your expert advice on whether there is a feasible solution or workaround that would allow us to use strict CSP with our current version of Kendo UI jQuery. Or, should we consider an upgrade to a newer version of Kendo UI jQuery that is compatible with strict CSP. In this regard, we would like to understand:

  1. Are there any specific versions of Kendo UI jQuery that you would recommend for compatibility with strict CSP?
  2. What potential risks or extensive modifications might be involved in upgrading from our current version to a CSP-compatible version?
Declined
Last Updated: 26 Jan 2024 13:43 by ADMIN

Bug report

Select event not fired on clicking over already selected ComboBox/MultiColumnComboBox item. According to the event description, it should be "Fired when an item from the popup is selected by the user either with mouse/tap or with keyboard navigation". It is fired when pressing Down arrow again when the last item is selected, but not fired if the last item is clicked.
Regression since 2018.3.1017 - Dojo introduced with the fix for Unexpected ComboBox value selection, instead of text, when an item is selected with Enter

Reproduction of the problem

  1. Go to https://demos.telerik.com/kendo-ui/multicolumncombobox/events
  2. Expand the widget.
  3. Click on Item 3.
  4. Expand the widget again.
  5. Click on Item 3.

Current behavior

Select event is NOT fired.
If we expand the widget and press Down arrow, select event is fired once again for Item 3.

Expected/desired behavior

Select event is fired as with version 2018.3.911 - Dojo.

Environment

  • Kendo UI version: 2021.3.1109
  • Browser: all
Declined
Last Updated: 15 Dec 2023 14:09 by ADMIN

Repro steps:

  • Open URL: Kendo UI Snippet | Kendo UI Dojo (telerik.com)
  • Navigate to the Choose Library combo box and select 'Kendo UI 2022 R2' option.
  • Navigate to the Run button and activate it.
  • Open Narrator using 'Ctrl + Win + Enter' key.
  • Press 'T' key to navigate table in quick navigation mode.
  • Navigate the table header controls using up arrow.
  • Observe that narrator announce role as link on Filter controls.

 

Actual Results:

Incorrect role is defined as "link" for the "filter" button, Screen reader announce like "Metric type filter column setting link".

Expected Results:

Correct role should be defined as "button" for the "filter" button. Screen reader should announce like "Metric type filter column setting button".

Declined
Last Updated: 11 Dec 2023 10:05 by ADMIN
Created by: eDAD
Comments: 1
Category: Grid
Type: Bug Report
0

Title: Keyboard focus loss is observed after closing the filter pop-up by 'Esc' key.

Description: Keyboard users will be impacted here , as focus is getting lost after closing the filter pop-up.

Environment (OS, Application):

Test Environment:

OS version (OS Build 22000.856) 

Microsoft Edge : Version 105.0.1343.25 (Official build) (64-bit) 

URL: https://docs.telerik.com/kendo-ui/api/javascript/ui/grid/configuration/filterable

Repro Steps:

1. Open given URL in Edge Dev. 

2. "Kendo UI for jQuery" page will be open.

3. Navigate to "Preview" button present under filterable.

4. Navigate to the filter controls present on the table.

5. Activate the filter control using mouse and navigate over the pop-up.

6. Press 'Escape' key on the flyout and Verify that Keyboard focus loss is observed after closing the filter pop-up by 'Esc' key or not


Actual Result: 

Keyboard focus loss is observed after closing the filter pop-up by 'Esc' key.

On pressing Tab key further focus start moving from "Related Properties" link.

Expected Result:

Keyboard focus loss should not be observed after performing any action on the page and should restore on the control which has been activated, here after pressing 'Esc' key, focus should restore on 'Filter' button only.



Declined
Last Updated: 24 Nov 2023 12:20 by ADMIN
Created by: AGB
Comments: 6
Category: Kendo UI for jQuery
Type: Bug Report
2

Hi Guys,

I have just upgraded to v2023.3.1114 only to find out the AngularJS directives have been completely removed from this release, causing a lot of wasted time & effort triaging the errors and then rolling things back to a previous working revision.

Back in a February 2018 blog post, you stated you were dropping support for AngularJS in all new components which was understandable but what I didn't expect was it's complete removal, especially in a SP, without any further communication.

The v2023.3.1114 release notes do not even list this as a breaking change, so are you expecting your customers to be clairvoyant now or is this just another example of how poor Telerik's customer service has become in the past few years?

Regards
Alan

Declined
Last Updated: 23 Oct 2023 10:51 by ADMIN
Created by: Andrew
Comments: 3
Category: Kendo UI for jQuery
Type: Bug Report
1

I have a tab control, and a number of the related views contain grids.

If a grid is created in a tab view that is not visible, then the grid pager renders as if it was on a tiny mobile screen. The only way you can make it render the pager correcly is to manually resize the browser window after the grid has become visible.

I have a simple demonstration here: https://dojo.telerik.com/eCuQAqEm

The behavior is the same in both Chrome and Firefox.


<!DOCTYPE html>
<html>
<head>
    <base href="https://demos.telerik.com/kendo-ui/tabstrip/index">
    <style>html { font-size: 14px; font-family: Arial, Helvetica, sans-serif; }</style>
    <title></title>
    <link href="https://kendo.cdn.telerik.com/themes/6.7.0/default/default-main.css" rel="stylesheet" />
    <script src="https://kendo.cdn.telerik.com/2023.2.829/js/jquery.min.js"></script>
    
    
    <script src="https://kendo.cdn.telerik.com/2023.2.829/js/kendo.all.min.js"></script>
</head>
<body>
        <div id="example">
                <div class="demo-section">
                        <div id="tabstrip">
                            <ul>
                                <li class="k-active">
                                    Visible Grid
                                </li>
                                <li>
                                   Hidden Grid
                                </li>
                            </ul>
                           
                            <div>
                              <div id="visibleGrid"></div>
                            </div>
                            <div>
                              <div id="hiddenGrid"></div>
                            </div>
                        </div>
                </div>
            <script>
              	const data = [];
              	for (let i = 0; i < 100; ++i) {
                  data.push({
                    columnOne : `Item ${i} Column One`,
                    columnTwo : `Item ${i} Column Two`
                  });
                }
              	const gridOptions = {
                	dataSource: data,
                  pageable: {
                    refresh: true,
                    pageSize: 10,
                    pageSizes: [10, 20, 30]
                  },
                };
                $(document).ready(function() {
                    $("#tabstrip").kendoTabStrip();
                    $("#visibleGrid").kendoGrid(gridOptions);
                  	$("#hiddenGrid").kendoGrid(gridOptions);
                });
              
            </script>
        </div>
</body>
</html>

Declined
Last Updated: 06 Oct 2023 07:25 by ADMIN
The Kendo ContextMenu widget is automatically closed when the user clicks anywhere else on the page. This is done by subscribing to the "mousedown" event on the document. However, when you use TAB or any other way to leave the menu without triggering a "mousedown" event, it stays open forever. This behavior can be reproduced in all examples and DOJOs.
I would instead suggest closing the menu as soon as it looses focus.
Declined
Last Updated: 05 Oct 2023 10:02 by ADMIN
Created by: eDAD
Comments: 3
Category: Grid
Type: Bug Report
0

Description: 

If screen reader is not announcing the role as button for Grid pagination controls then users will confuse and not able to utilize the control properly.

Environment (OS, Application):

Test Environment:

OS version (OS Build 22000.856) 
Microsoft Edge : Version 105.0.1343.25 (Official build) (64-bit)
URL: https://docs.telerik.com/kendo-ui/api/javascript/ui/grid/configuration/pageable

AT (include version number):

Narrator

Repro Steps:

1. Open given URL in Microsoft Edge .

2. "pageable - API Reference - Kendo UI Grid | Kendo UI for jQuery" page will open.

3. Turn on Narrator.

4. Navigate to the Grid pagination buttons using keyboard.

5. Verify that screen reader is announcing role as button or not.

Actual Results:

The pagination buttons at the bottom of grids have their role defined as link.

Expected Results:

The pagination buttons at the bottom of grids should have their role defined as a button, not link.

Additional notes:

This issue is present on any page grid pagination is used, so should address it globally


 


Declined
Last Updated: 21 Aug 2023 13:10 by ADMIN
Created by: Jeff
Comments: 0
Category: Grid
Type: Feature Request
0
I am thinking some of this maybe some of the Kemdo.js files and the other js files maybe clashing. My LabelFor code does not work anymore either. We have a Html helper that loads the Field Name and the name we want to use for the labels from a list and all I get printed out is the Field Name. I can not get the helper file code to stop on a break point to debug it. Thnaks @using (Html.BeginForm("Index", "NewOrder", FormMethod.Post, new { name = "OrderForm", id = "OrderForm" })) { @Html.ValidationSummary(true) <fieldset> <legend> Add Order</legend> @Html.HiddenFor(model => model.IsOrderCatRequired) …….. <div class="form-sectionheader" id="OrderHeader"> Order Information </div> <div class="clear-float"></div> <div class="form-label" id="OrderCatLabel"> @if (Model.IsOrderRequired) {<text>RQ</text>}@Html.LabelFor(model => model.OrderCatID) </div> <div class="form-field" id="OrderCatIDField"> @(Html.Kendo().DropDownListFor(model => model.OrderCatID) .BindTo(new SelectList(Model.OrderCategory, "OrderCatId", "Description")) .Events(e => e.Change("OrderCat_OnChange")) .HtmlAttributes(new { style = string.Format("width:{0}px", 200) })) @Html.ValidationMessageFor(model => model.OrderCatID) </div>
Declined
Last Updated: 14 Aug 2023 07:39 by ADMIN

Hi Team, we're using kendo heavily on our platform. But still there're many gaps in kendo accessibility. I'm working as a Accessibility advocate and i believe every individual can access the widgets irrespective of their barriers. One of the issue is:

Keyboard Support is missing in the input fields buttons like:

1. Clear Button

2. Dropdown "arrow" Button

3. Date and Time Button

 

Current Behavior:

Focus is going to input field and you can write inside the combobox or textbox or multiselect but you can't interact with other icon buttons like dropdown , date & time, clear "x" button using tab key.

 

Expected Behavior: As per accessibility , every interactive elements needs to be keyboard focusable using tab key irrespective of shortcut.

 

 

I've created a feature request long ago and suggested solution for this: please check in the feature, it's declined by the team:

Date time picker Keyboard Support is missing for date and time button because of (tabindex=-1)


1 2 3 4 5 6

Declined
Last Updated: 23 Jul 2025 08:44 by ADMIN
Created by: Romain
Comments: 3
Category: Kendo UI for Vue
Type: Feature Request
0
Hi Kendo UI team,

I’m using the HeaderSelectionCheckbox feature in the Grid to let users select all rows and perform a bulk action (like deleting all selected items). This works perfectly, but I’ve run into a small UX issue.

After I programmatically remove all selected items (e.g., after a successful delete operation), the HeaderSelectionCheckbox remains in a selected state — even though there are no more selected or visible rows in the Grid.

Use case:
- User clicks the header checkbox to select all rows.
- User clicks "Delete", which removes all selected rows programmatically.
- The HeaderSelectionCheckbox remains selected, despite no rows being selected.

Question:
Is there currently a supported way to control the state of the HeaderSelectionCheckbox from user-land (e.g., via a prop or method)?
If not, would it be possible to expose an API or prop to manually reset its state?

Thanks in advance!


Declined
Last Updated: 22 Jul 2025 13:06 by ADMIN
Created by: Drew
Comments: 1
Category: DatePicker
Type: Feature Request
1

Add 

:format-placeholder

as it is available in dateTimePicker.

Declined
Last Updated: 18 Sep 2024 10:16 by ADMIN

Describe the bug

When the Datepicker component is used with a custom calendar (Kendo Calendar component) the calendar does not close on click outside of the component

To Reproduce

1. Open this StackBlitz example - https://codesandbox.io/p/sandbox/festive-tesla-hm596x 
2. Click on the Datepicker input to open the component
3. Click outside the Calendar component

Expected behavior
The DatePicker's calendar popup should close when the user clicks outside the component

Declined
Last Updated: 20 Mar 2024 12:22 by ADMIN
Hello,
 clear Button isn't shown when attribute showClearButton is 'true'.
<template>
  <div>
    <div class="col-xs-12 col-md-6 example-col">
      <p>Input</p>
      <KInput :style="{ width: '330px' }" :show-clear-button="true"></KInput>
    </div>
  </div>
</template>
<script>
import { Input } from '@progress/kendo-vue-inputs';

export default {
  components: {
    KInput: Input,
  },
};
</script>

Declined
Last Updated: 19 Mar 2024 12:51 by ADMIN

Hi

I have a Grid inside a TabStrip. Resizable is set to true. If I resize the column, the column will change size but at the same time the width of the Grid will also change size proportional to the change in size of the column.

If I move the Grid to be outside of the TabStrip, resizing the column will not alter the width of the Grid. This is the behaviour I was expecting.

Here is some sample code that reproduces the issue.

<TabStrip :selected="0" :tabs="[
	{
		title: 'Paris',
		content: 'Paris',
	}]">
	<template v-slot:Paris>
		<Grid ref="grid" :style="{ 'max-height': '600px' }" :data-items="variations" :resizable="true"
			:reorderable="false" :columns="caseGridColumns" :loader="loader"
			@rowclick="(ev) => { caseStore.setCaseId(ev.dataItem.cases.caseid); getData(); }">
			<GridNoRecords>
				No variations were found
			</GridNoRecords>
		</Grid>
	</template>
</TabStrip>

Declined
Last Updated: 18 Oct 2023 08:33 by ADMIN
Created by: Eunbyul
Comments: 4
Category: Grid
Type: Bug Report
0

Hello Team.

I appreciate grid's reorderable function work at Nuxt3(@kendo-vue-grid: 3.14.2).

But For some reason, this function doesn't work properly. so I report a bug.

I reproduce a stackblitz code.
https://stackblitz.com/edit/nuxt-starter-gmag5m


I implemented it like this,

After fetching(=GET) column data from the server, reorder the columns using kendo grid's reorderable function and save(=POST) it on the server.

I call columnExecute function, so server refetch(=GET) column data.

at /pages/index.vue, colums ref change rightly.

at /components/grid.vue, columnList ref change rightly.

But rendered kendo grid's column doesn't change.


please check this issue. 

 

Sincerely,
Eunbyul.

Declined
Last Updated: 07 Mar 2022 14:25 by ADMIN
Here is an example:

https://stackblitz.com/edit/nqnhfx-scivtg?file=src%2Fmain.vue 
 


Trying both variations as your documentation is inconsistent on the naming. But neither way gets the views to show times at 15 minute increments. 
Declined
Last Updated: 30 Oct 2020 05:52 by ADMIN
Created by: Armaan
Comments: 1
Category:
Type: Bug Report
2

In Kendo UI Grid for jQuery we have the following:

"editable": {

    "createAt": "bottom"

}

 

How it can be done in Kendo Grid for Vue.JS ?

----------------------------------------------------------------------------------------------------------------------------------

Bug report

In Grid(Wrapper) in UI for Vue, the editable-create-at is not changing Grid's "add new row" behavior when it is set to "bottom".

Reproduction of the problem

  1. Open this Stackblitz and run it
  2. Press the "Add new record" button and see that the new record is being added to at the top of the Grid

A workaround that could be applied is to use :editable="{createAt:'bottom'}" instead of :editable-create-at="bottom"

Current behavior

The new rows are being added to the bottom of the Grid with :editable-create-at="bottom"configuration applied.

Expected/desired behavior

When :editable-create-at="bottom" is applied the new records in the Grid should be added to its bottom

Environment

  • Kendo UI version: 2019.2.621
  • jQuery version: x.y
  • Browser: [all]
Declined
Last Updated: 06 Oct 2020 05:45 by ADMIN
Created by: devdutt
Comments: 1
Category: Kendo UI for Vue
Type: Feature Request
0
I'm using the export excel feature in the grid. When I'm trying to download data less record( < 3k) it's working fine, but this becomes problematic when I'm trying to download huge data (more than 10k) my browser hangs and after some time browser crash. Do let me know any solution regarding this issue.
Declined
Last Updated: 29 Sep 2020 13:49 by ADMIN

Hi Team, 

Kindly Add "focused date" feature in kendo wrapper datepicker controls in vue.js

Thanks in advance !

 

Declined
Last Updated: 23 Jun 2020 02:57 by icq
Created by: icq
Comments: 4
Category: Kendo UI for Vue
Type: Bug Report
0

I have a kendo wrapper grid with local datasource pointing to vue state.
There is a button "Update" which will update the state so that the grid will be updated as well and it works.

But, if I firstly click the button "Test" (just only a same value assignment to state) and then click "Update", strangely it does not work so the grid has no change.
I finally found out the reason is that after clicked "Test" then "Update", the vue state updated BUT the kendo grid datasource won't (out of sync unexpectedly)
So the temp solution is I have to manually assign the state to the datasource so that the grid will be updated.

Repo: https://stackblitz.com/edit/dqsbeo

My question is why, after clicked 'Test', the kendo grid datasource became cached and out of sync with the vue state?
If I don't click 'Test', they do sync always.
Problem occur only when "same value assignment" to the state. If "different value assignment", no problem.

 

<div id="vueapp">
    <kendo-datasource ref="dsDS" :data="localDataSource"></kendo-datasource>
    <kendo-grid :data-source-ref="'dsDS'">
        <kendo-grid-column :field="'ProductID'"
                           :title="'ID'"
                           :width="40"></kendo-grid-column>
        <kendo-grid-column :field="'ProductName'"></kendo-grid-column>
        <kendo-grid-column :field="'UnitPrice'"
                           :title="'Unit Price'"
                           :width="120"
                           :format="'{0:c}'"></kendo-grid-column>
        <kendo-grid-column :field="'UnitsInStock'"
                           :title="'Units In Stock'"
                           :width="120"></kendo-grid-column>
        <kendo-grid-column :field="'Discontinued'" :width="120"></kendo-grid-column>
    </kendo-grid>
    <input type="button" value="Test" @click="test" />
    <input type="button" value="Update" @click="update" />
</div>

new Vue({
    el: '#vueapp',
    data: {
        localDataSource: [{
                "ProductID": 1,
                "ProductName": "Chai",
                "UnitPrice": 18,
                "UnitsInStock": 39,
                "Discontinued": false,
            },
            {
                "ProductID": 2,
                "ProductName": "Chang",
                "UnitPrice": 17,
                "UnitsInStock": 40,
                "Discontinued": false,
            },
            {
                "ProductID": 3,
                "ProductName": "Aniseed Syrup",
                "UnitPrice": 10,
                "UnitsInStock": 13,
                "Discontinued": false,
            }
        ]
    },
    methods: {
      test: function(e) {
        this.localDataSource = JSON.parse(JSON.stringify(this.localDataSource)); //same value assignment
        console.log('test');
      },
      update: function(e) {
        this.localDataSource.splice(0, 1, this.localDataSource[1]); //replace the first object with second object
      },
    }
})


Declined
Last Updated: 04 Mar 2019 14:21 by ADMIN
Created by: Kévin
Comments: 8
Category:
Type: Bug Report
0

Hello,

when I add some repeating daily events, all is ok. But when i try do delete one of them (in green on the attachment), i can't and i have this message bellow.

Error in /turbo_modules/@progress/kendo-ui@2019.1.227/js/kendo.scheduler.js (3603:40)
Cannot read property 'startTimezone' of undefined

 

Can you help me please ?

best regards,

Kévin

Declined
Last Updated: 28 Feb 2019 15:17 by ADMIN
Created by: Dimitrina P
Comments: 1
Category:
Type: Feature Request
0

The developers would like to have the ability not only to select the components to load but also the features at the point of starting (especially for heavy components like the Grid and TreeView).

For example, they would like to be able to load single features instead of all functionalities.

The goal is to have lighter output, meaning that the whole script will be less KB in size and it will load faster. This will save loading time and in turn less bandwidth will be used which will make the cost that development companies pay to hosting providers smaller.

Declined
Last Updated: 03 Apr 2026 12:55 by ADMIN

In firefox, open the Kendo Radio Button documentation and slowly resize the window (https://www.telerik.com/kendo-angular-ui/components/inputs/radiobutton)

The radio button will kind of jiggle around and occasionally the white dot in the radio button will become off-center.

image-2026-01-15-14-27-31-711.png

This also seems to happen in response to some material bouncy (cubic-bezier) animation transitions.

Declined
Last Updated: 03 Apr 2026 12:33 by ADMIN

Kendo timeline range in the gantt can be miscalculated if children have start and end days earlier that their parent.

This happens to due oversight in TimelineBaseViewService.getRange function. Two variables startResult and endResult are calculated using only top-level entities from the supplied data hierarchy.

This stackblitz shows 2 cases.

  1. The item is out of the bounds on the left due to an earlier start date than its parent's start date.
  2. The item is rendered either as three dots or out of bounds on the right side (depends on the browser. Firefox tend to display three dots, Chrome clips the right side) due to end date being later than its parent's end date.

That's mostly visible on Day and Week timelines, however I believe can be reproduced on monthly and yearly views if the date spread is large enough.

 

Declined
Last Updated: 27 Mar 2026 06:20 by ADMIN

   I have tested kendo grid accessibility with AXE Dev tool. Found following errors that seems difficult to fix.

1)Certain ARIA roles must contain particular children

2)Scrollable region must have keyboard access

Any suggestion to fix these above-mentioned issues could be very helpful. Noticed these issues even exist in kendo grid demos published in kendo documentation. Check the link below

stack blitz link : https://stackblitz.com/edit/angular-uhjyd3x9?file=src%2Findex.html

Declined
Last Updated: 26 Mar 2026 11:05 by ADMIN
Created by: Hans
Comments: 3
Category: Kendo UI for Angular
Type: Bug Report
0

When a tooltip of a dialog is shown and the dialog is closed, the tooltip is still present and is moved into the top left corner.

We use e.g. `kendo-dialog-titlebar` and the close button has a tooltip.

Declined
Last Updated: 10 Mar 2026 12:22 by ADMIN
Created by: Michael
Comments: 2
Category: Kendo UI for Angular
Type: Bug Report
0

Hi,

if I change the [placeholder] input on a kendo-editor, the changes are not reflected.

Reproduction (forked from your example): https://stackblitz.com/edit/angular-uqbchubd

Can you please take a look at it?

Best regards,
Michael

Declined
Last Updated: 09 Dec 2025 12:46 by ADMIN
Created by: Stefan
Comments: 4
Category: Kendo UI for Angular
Type: Feature Request
42
momentjs is a widely used date library which makes handling dates much more comfortable, and all Date components should support it
Declined
Last Updated: 26 Nov 2025 12:00 by ADMIN
Created by: Andrew
Comments: 5
Category: AutoComplete
Type: Feature Request
18
It would be nice to have access to a valueChange event in the autocomplete similar to the other dropdowns. This way when binding against arrays of complex objects, we could receive the whole object selected instead of the single value property out of it.
Declined
Last Updated: 26 Nov 2025 10:20 by ADMIN
Created by: John
Comments: 2
Category: Kendo UI for Angular
Type: Feature Request
24

In the Kendo ComboBox, the selection part is not working with shadow dom.

1. Reproduction:

Please look at the below links,

With ShadowDOM:

https://stackblitz.com/edit/angular-evkasb?file=app%2Fapp.component.ts

Without ShadowDOM:

An example is provided in the below link under 'ENABLING SUGGESTION' section

https://www.telerik.com/kendo-angular-ui/components/dropdowns/combobox/suggestions/

 

Expected Result:

When user type 'C', the first word starts with C in the list 'Croatia' is suggested and 'roatia' is selected. But as soon as I type 'y' next to 'c', the combo box is suggesting 'Cyprus' and 'prus' should be selected

 

Actual Result:

As soon as I type the first word starts with C in the list is 'Croatia' is populated in the Combobox and 'roatia' is NOT selected. So the user cannot type ‘y’ in this case. But the user wants to select ‘CYPRUS’ but 'Croatia' is filled as the input and Cyprus is not suggested.

I have attached the video for the difference between with/without shadow dom.

Also, If you need any additional information, I have created a support ticket:

Ticket ID: 1465593

 

Declined
Last Updated: 18 Nov 2025 08:49 by ADMIN
Created by: Kendo UI
Comments: 1
Category: ButtonGroup
Type: Feature Request
1

Allow defining buttons in ButtonGroup component using NgTemplateOutlet:

  <kendo-buttongroup>
    <ng-container *ngTemplateOutlet="buttonsList"></ng-container>
  </kendo-buttongroup>

  <ng-template #buttonsList>
    <button kendoButton size="small">Button 1</button>
    <button kendoButton size="small">Button 2</button>
    <button kendoButton size="small">Button 3</button>
  </ng-template>

 

So far, the ButtonGroup doesn't appear when using this markup.

Declined
Last Updated: 14 Nov 2025 08:07 by ADMIN
Created by: Christopher
Comments: 1
Category: Kendo UI for Angular
Type: Bug Report
0

Ran this on StackBlitz 


import { Component } from '@angular/core';
import {
  LegendLabelsContentArgs,
  SeriesClickEvent,
} from '@progress/kendo-angular-charts';
import { IntlService } from '@progress/kendo-angular-intl';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart
      (plotAreaClick)="onClick($event)"
      [transitions]="false"
      title="World Population by Broad Age Groups"
    >
      <kendo-chart-legend position="bottom"></kendo-chart-legend>
      <kendo-chart-series>
        <kendo-chart-series-item
          type="donut"
          [data]="pieData"
          field="value"
          categoryField="category"
          explodeField="exploded"
          [labels]="{ visible: true, content: labelContent }"
        >
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `,
})
export class AppComponent {
  public pieData: Array<{
    category: string;
    value: number;
    exploded: boolean;
  }> = [
    { category: '0-14', value: 0.2545, exploded: false },
    { category: '15-24', value: 0.1552, exploded: false },
    { category: '25-54', value: 0.4059, exploded: false },
    { category: '55-64', value: 0.0911, exploded: false },
    { category: '65+', value: 0.0933, exploded: false },
  ];

  constructor(private intl: IntlService) {
    this.labelContent = this.labelContent.bind(this);
  }

  public labelContent(args: LegendLabelsContentArgs): string {
    return `${args.dataItem.category} years old: ${this.intl.formatNumber(
      args.dataItem.value,
      'p2'
    )}`;
  }

  public onClick(event: any): void {
    console.log('Click');
  }
}

When the event is seriesClick, it works as expected, and if I change the type to bar, it works as expected, but when it's as shown as above, the onClick event isn't triggered. 

As I have donuts/pies that might not have data in it, I needed to use plotAreaClick (which I have done for the bar charts)

 

Thanks,

Declined
Last Updated: 22 Sep 2025 13:12 by ADMIN
Created by: Seyfor
Comments: 4
Category: Window
Type: Feature Request
8

Please support out of the box support for modality. I know there is how to, but out of the box, for such basic feature seems reasonable.

Also suggested how to doesn't work for windows initialised through service.

This would also align Angular Window component with KendoUI Window component modality.

Declined
Last Updated: 22 Sep 2025 13:12 by ADMIN
Created by: Seyfor
Comments: 7
Category: Dialog
Type: Feature Request
4

I would like to move dialog (because there is some content behind I need to see in order to fill form in dialog).

It would also be great if it could be resizable. If you have an input component inside dialog, you could set width to 100%.

Declined
Last Updated: 27 Aug 2025 08:27 by ADMIN
Created by: Kendo UI
Comments: 1
Category: Grid
Type: Feature Request
0

Please provide row virtualization as addition to the current virtual scrolling functionality.

Current behavior
Virtual scrolling is currently tied to the pageSize. This is not always desirable as page size can be much higher than the visible area to optimise for network latency.

For example if the pageSize is 200 rows and the grid is only 10 rows high we'll be rendering 190 more rows than needed at initialization time.

Expected behavior
Virtual scrolling should include an option to render only the visible rows at any given time.

Declined
Last Updated: 27 Aug 2025 06:48 by ADMIN

I am using below piece of code inside <kendo-grid>. Here, I am using a dropdown and kendo excel export button inside toolbar. dropdown is in left and button is right aligned. Earlier, it was working till Kendo 18. When I upgraded to kendo 19, it stopped working. 

Root Cause is kendo-dropdownlist contains an array button. When we click on button to expand dropdown, excel export button gets the focus and dropdown loses focus. When we click on dropdown button, 'k-focus' class is applied on 'excel-export'. Because of this, dropdown is not working. 

 

Code:

<ng-template kendoGridToolbarTemplate>

        <div class="toolbar-container" style="display: flex; align-items: center; gap: 16px; width: 100%;">

            <!-- Dropdown Wrapper -->

            <div style="flex-shrink: 0;">

                <kendo-dropdownlist [data]="data"

                    [(ngModel)]="someField" [valuePrimitive]="true" (valueChange)="perform()"

                    [popupSettings]="{ appendTo: 'component' }" style="width: 175px;">

                </kendo-dropdownlist>

            </div>

 

            <!-- Spacer to push button to right -->

            <div style="flex-grow: 1;"></div>

 

            <!-- Excel Export Button -->

            <div style="flex-shrink: 0;">

                <button type="button" kendoGridExcelCommand>Export</button>

            </div>

        </div>

    </ng-template>

Declined
Last Updated: 08 Aug 2025 06:00 by ADMIN
Created by: Andrej
Comments: 1
Category: Dialog
Type: Bug Report
1

I used this example to replace the built-in icons of the Kendo UI components. I was able to modify all the icons except the x icon in the Kendo UI Dialog and Window component. The x icon in the Kendo UI ComboBox was replaced as well.

The issue can be seen in this StackBlitz example.

 

 

Declined
Last Updated: 21 Jul 2025 09:04 by ADMIN
Created by: Parimelazagan
Comments: 2
Category: Kendo UI for Angular
Type: Bug Report
0
On the latest version, horizontal scroll is not visible for multi resources. if have more 5 resources also, the table is shrinking but scroll is not enabled. 
Declined
Last Updated: 21 Jul 2025 08:02 by ADMIN
Created by: Siddaroodh
Comments: 2
Category: Kendo UI for Angular
Type: Bug Report
0

./node_modules/@progress/kendo-angular-layout/fesm2022/progress-kendo-angular-layout.mjs:19:0-75 - Error: Module not found: Error: Can't resolve '@progress/kendo-angular-progressbar' in 'C:\LiveMRIProjects\MRI.AgoraInsightsAnywhere-Angular\node_modules\@progress\kendo-angular-layout\fesm2022'

./node_modules/@progress/kendo-angular-layout/fesm2022/progress-kendo-angular-layout.mjs:22:0-56 - Error: Module not found: Error: Can't resolve '@progress/kendo-angular-intl' in 'C:\LiveMRIProjects\MRI.AgoraInsightsAnywhere-Angular\node_modules\@progress\kendo-angular-layout\fesm2022'

 

this is the error is coming

when we add kendo thing into module.ts file

Declined
Last Updated: 18 Jul 2025 13:14 by Michael
Created by: Michael
Comments: 2
Category: Kendo UI for Angular
Type: Bug Report
0

If the pane is scrolled, the dark highlight shown when grabbing the splitter is misaligned like this:

Stackblitz repro can be found here

Declined
Last Updated: 19 Jun 2025 09:13 by ADMIN
Created by: Martin de Ruiter
Comments: 3
Category: MultiSelect
Type: Feature Request
3

Provide an option to focus programmatically a multiselect item, in order to prevent the popup list from scrolling when the last item is selected.

Here is an example:

https://stackblitz.com/edit/angular-qpbow1-awhxbr?file=app%2Fapp.component.ts

Declined
Last Updated: 02 Jun 2025 07:21 by ADMIN
Created by: Michael
Comments: 1
Category: Kendo UI for Angular
Type: Bug Report
1

Hi,

https://stackblitz.com/edit/angular-dadm5ywe?file=src%2Fapp%2Fapp.component.ts

Please select the top-most button, then press TAB until the focus is on the button in the last grid cell.
Then press tab again => the focus moves to the last cell itself.
Press tab again => the focus moves back to the last button. 
=> here we got into an endless loop, you cannot navigate to the button below the grid.

Interestingly, you can leave the grid if you navigate backwards with shift+tab.

best regards,

Michael

 

1 2 3 4 5 6